KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm upgrade node phase control-plane - Upgrade the control plane instance deployed on this node, if any

SYNOPSIS
kubeadm upgrade node phase control-plane [OPTIONS]

DESCRIPTION
Upgrade the control plane instance deployed on this node, if any

OPTIONS
--certificate-renewal=true
    Perform the renewal of certificates used by component changed during upgrades.

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Do not change any state, just output the actions that would be performed.

--etcd-upgrade=true
    Perform the upgrade of etcd.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--patches=""
    Path to a directory that contains files named "target[suffix][+patchtype].extension". For example, "kube-apiserver0+merge.yaml" or just "etcd.json". "target" can be one of "kube-apiserver", "kube-controller-manager", "kube-scheduler", "etcd", "kubeletconfiguration", "corednsdeployment". "patchtype" can be one of "strategic", "merge" or "json" and they match the patch formats supported by kubectl. The default "patchtype" is "strategic". "extension" must be either "json" or "yaml". "suffix" is an optional string that can be used to determine which patches are applied first alpha-numerically.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-upgrade-node-phase(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!